# arp_entry Struct Reference

## Data Fields

uInt8 | ctime
eth_addr | ethaddr
ip_addr | ipaddr

## Detailed Description

Definition at line 82 of file arp.c.

## Field Documentation

uInt8 arp_entry::ctime

Definition at line 85 of file arp.c.

Referenced by add_arp_entry().

struct eth_addr arp_entry::ethaddr

Definition at line 84 of file arp.c.

Referenced by add_arp_entry().

struct ip_addr arp_entry::ipaddr

Definition at line 83 of file arp.c.

Referenced by add_arp_entry(), arp_init(), and arp_tmr().

The documentation for this struct was generated from the following file:

- src/sys/net/netif/arp.c